import React from 'react';
import purebem from 'purebem';
import { Link } from '@billogram/react-router';
import './FoundationRouteButton.scss';

function noop() {}

export default function FoundationRouteButton(_ref) {
  var children = _ref.children,
      _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      _ref$onClick = _ref.onClick,
      onClick = _ref$onClick === void 0 ? noop : _ref$onClick,
      to = _ref.to,
      _ref$ui = _ref.ui,
      ui = _ref$ui === void 0 ? 'gray' : _ref$ui;
  var block = purebem('foundation-route-button');
  var handleClick = React.useCallback(function (evt) {
    if (disabled) {
      evt.preventDefault();
      return;
    }

    onClick(evt);
  }, [disabled, onClick]);
  return /*#__PURE__*/React.createElement(Link, {
    activeClassName: block(['toggled']) // eslint-disable-next-line react/forbid-component-props
    ,
    className: block({
      disabled: disabled,
      ui: ui
    }),
    onClick: handleClick,
    to: to
  }, children);
}
//# sourceMappingURL=FoundationRouteButton.js.map